Summary: Kerberos Authentication System
Name: krb5
Version: 1.0
Release: 3
Source: krb5-1.0.src.tar.gz
Source1: krb5-1.0.crypto.tar.gz
Source2: krb5-1.0.doc.tar.gz
Source3: krb5server.init
Patch: krb5-1.0-autoconf.patch
Copyright: freely distributable
Group: Networking
BuildRoot: /tmp/krb5-root
%description
Kerberos V5 is an authentication system developed at MIT.  Kerberos is
named for the three-headed watchdog from Greek mythology, who guarded
the entrance to the underworld.

%package workstation
Summary: Kerberos programs for use on workstations
Group: Networking/Utilities
%description workstation

%package server
Group: Networking/Daemons
Summary: Kerberos server programs
%description server

%package libs
Summary: Kerberos shared libraries
Group: Libraries
%description libs

%package devel
Summary: Header files and libraries necessary to compile Kerberos programs
Group: Development/Libraries
%description devel

%prep
%setup -b 1 -b 2

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/athena --enable-shared \
	--with-tcl=/usr --sysconfdir=/etc/athena \
	--localstatedir=/var/kerberos \
	--infodir=/usr/info
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/athena
mkdir -p $RPM_BUILD_ROOT/var/krb5kdc
mkdir -p $RPM_BUILD_ROOT/etc/athena
cd src
make prefix=$RPM_BUILD_ROOT/usr/athena \
	sysconfdir=$RPM_BUILD_ROOT/etc/athena \
	localstatedir=$RPM_BUILD_ROOT/var/kerberos \
	infodir=$RPM_BUILD_ROOT/usr/info install
cd ../doc
for I in user-guide.texinfo install.texinfo admin.texinfo krb425.texinfo; do
	makeinfo $I
done
mkdir -p $RPM_BUILD_ROOT/usr/info
install -m644 krb5-admin.info-1 \
	krb5-install.info-1 \
	krb5-admin.info-2    krb5-install.info-2 \
	krb425.info          krb5-admin.info-3    krb5-user.info \
	krb5-admin.info      krb5-install.info $RPM_BUILD_ROOT/usr/info
gzip -9 $RPM_BUILD_ROOT/usr/info/*

touch $RPM_BUILD_ROOT/etc/athena/krb5.conf
touch $RPM_BUILD_ROOT/var/krb5kdc/kdc.conf
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/krb5server.init $RPM_BUILD_ROOT/etc/rc.d/init.d/krb5server.init
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/krb5server.init	$RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S65krb5server
done
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/krb5server.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K35krb5server
done

%files workstation
/usr/info/krb5-admin.info*
/usr/info/krb5-user.info*
/usr/info/krb5-install.info*
%doc doc/*user*
%dir /etc/athena
%config /etc/athena/krb5.conf
%docdir /usr/athena/man
/usr/athena/bin/kdestroy
/usr/athena/man/man1/kdestroy.1
/usr/athena/bin/ftp
/usr/athena/man/man1/ftp.1
/usr/athena/bin/kinit
/usr/athena/man/man1/kinit.1
/usr/athena/bin/klist
/usr/athena/man/man1/klist.1
/usr/athena/bin/kpasswd
/usr/athena/man/man1/kpasswd.1
/usr/athena/bin/krb524init
/usr/athena/bin/gss-client
/usr/athena/bin/ksu
%docdir /usr/athena/man/man1/ksu.1
/usr/athena/bin/rcp
%docdir /usr/athena/man/man1/rcp.1
/usr/athena/bin/rlogin
%docdir /usr/athena/man/man1/rlogin.1
/usr/athena/bin/rsh
/usr/athena/man/man1/rsh.1
/usr/athena/bin/telnet
/usr/athena/man/man1/telnet.1
/usr/athena/bin/v4rcp
/usr/athena/man/man1/v4rcp.1
/usr/athena/bin/v5passwd
/usr/athena/man/man1/v5passwd.1
/usr/athena/bin/sim_client
/usr/athena/bin/uuclient
/usr/athena/sbin/login.krb5
/usr/athena/man/man8/login.krb5.8
/usr/athena/sbin/ftpd
/usr/athena/man/man8/ftpd.8
/usr/athena/sbin/gss-server
/usr/athena/sbin/klogind
/usr/athena/man/man8/klogind.8
/usr/athena/sbin/kshd
/usr/athena/man/man8/kshd.8
/usr/athena/sbin/telnetd
/usr/athena/man/man8/telnetd.8
/usr/athena/sbin/uuserver
/usr/athena/man/man5/krb5.conf.5

%files server
%config /etc/rc.d/init.d/krb5server.init
/etc/rc.d/rc3.d/S65krb5server
/etc/rc.d/rc5.d/S65krb5server
/etc/rc.d/rc0.d/K35krb5server
/etc/rc.d/rc1.d/K35krb5server
/etc/rc.d/rc2.d/K35krb5server
/etc/rc.d/rc6.d/K35krb5server
/usr/info/krb5-admin.info*
/usr/info/krb5-user.info*
/usr/info/krb5-install.info*
%doc doc/admin*
%dir /etc/athena
%dir /var/krb5kdc
%config /var/krb5kdc/kdc.conf
%docdir /usr/athena/man
/usr/athena/man/man5/kdc.conf.5
/usr/athena/sbin/kadmin
/usr/athena/man/man8/kadmin.8
/usr/athena/sbin/kadmin.local
/usr/athena/man/man8/kadmin.local.8
/usr/athena/sbin/kadmind
/usr/athena/man/man8/kadmind.8
/usr/athena/sbin/kadmind4
/usr/athena/sbin/kdb5_util
/usr/athena/man/man8/kdb5_util.8
/usr/athena/sbin/kprop
/usr/athena/man/man8/kprop.8
/usr/athena/sbin/kpropd
/usr/athena/man/man8/kpropd.8
/usr/athena/sbin/krb5-send-pr
/usr/athena/sbin/krb524d
/usr/athena/sbin/krb5kdc
/usr/athena/man/man8/krb5kdc.8
/usr/athena/sbin/ktutil
/usr/athena/man/man8/ktutil.8
/usr/athena/sbin/sim_server
/usr/athena/sbin/v5passwdd
# This is here for people who want to test their server, and also 
# included in devel package for similar reasons.
/usr/athena/bin/sclient
/usr/athena/man/man1/sclient.1
/usr/athena/sbin/sserver
/usr/athena/man/man8/sserver.8

%files libs
/usr/athena/lib/libcom_err.so
/usr/athena/lib/libcom_err.so.1.0
/usr/athena/lib/libcrypto.so
/usr/athena/lib/libcrypto.so.1.0
/usr/athena/lib/libdes425.so
/usr/athena/lib/libdes425.so.1.0
/usr/athena/lib/libdyn.so
/usr/athena/lib/libdyn.so.1.0
/usr/athena/lib/libgssapi_krb5.so
/usr/athena/lib/libgssapi_krb5.so.1.0
/usr/athena/lib/libgssrpc.so
/usr/athena/lib/libgssrpc.so.1.0
/usr/athena/lib/libkadm5clnt.so
/usr/athena/lib/libkadm5clnt.so.1.0
/usr/athena/lib/libkadm5srv.so
/usr/athena/lib/libkadm5srv.so.1.0
/usr/athena/lib/libkdb5.so
/usr/athena/lib/libkdb5.so.1.0
/usr/athena/lib/libkrb4.so
/usr/athena/lib/libkrb4.so.1.0
/usr/athena/lib/libkrb5.so
/usr/athena/lib/libkrb5.so.1.0

%files devel
%doc doc/api doc/implement doc/kadm5 doc/kadmin doc/krb5-protocol doc/rpc
%doc doc/build.texinfo
/usr/athena/include
/usr/athena/lib/libcom_err.a
/usr/athena/lib/libgssapi_krb5.a
/usr/athena/lib/libkdb5.a
/usr/athena/lib/libkrb5util.a
/usr/athena/lib/libcrypto.a
/usr/athena/lib/libgssrpc.a
/usr/athena/lib/libkrb4.a
/usr/athena/lib/libpty.a
/usr/athena/lib/libdes425.a
/usr/athena/lib/libkadm5clnt.a
/usr/athena/lib/libkrb5.a
/usr/athena/lib/libdyn.a
/usr/athena/lib/libkadm5srv.a
/usr/athena/lib/libkrb524.a
/usr/athena/bin/sclient
/usr/athena/man/man1/sclient.1
/usr/athena/sbin/sserver
/usr/athena/man/man8/sserver.8
